Bug 820943 - The API schema should be added to REST API documentation
The API schema should be added to REST API documentation
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: doc-REST_API_Guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: 3.4.0
Assigned To: Dan Macpherson
doc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:50 EDT by Siamak Sadeghianfar
Modified: 2014-01-15 10:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 10:47:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siamak Sadeghianfar 2012-05-11 07:50:09 EDT
Description of problem:

Including the REST API request/response xml schema [1] in appendix or just a link to the actual schema is of tremendous help when working with the REST API. In Java it's needed for easier transformation of object to xml and vice verca through JAXB or other frameworks.

[1] ovirt-engine/backend/manager/modules/restapi/interface/definition/src/main/resources/api.xsd

Version-Release number of selected component (if applicable): RHEV 3.0


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2014-01-12 03:42:07 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Note You need to log in before you can comment on or make changes to this bug.